<template>
    <v-row>
        <v-col>
            <product-form v-model="product"></product-form>
        </v-col>
    </v-row>
</template>

<script>
    import ProductForm from "./ProductForm";

    export default {
        name: "ProductCreate",
        components: {ProductForm},

        data: () => ({
            product: {
                name: '',
                description: '',
                slug: '',
                price: 0,
                cost_price: 0,
                discount: 0,
                discount_type_id: 1,
                images: [],
                available_date: null,
                category_ids: [],
                gender_id: null,
                brand_id: null,
                business_type_id: null,
                product_type_id: null,
                variants: [],
                new_arrival: 0,
                most_popular: 0,
                featured: 0,
                enabled: 1,
                vendor: null
            },
        }),

        methods: {
            clearPreview() {
                this.imagePreview = [];
            },

            handleFileUpload(files) {
                this.imagePreview = [];

                let reader  = new FileReader();

                reader.addEventListener("load", function () {
                    this.imagePreview.push(reader.result);
                }.bind(this), false);

                files.forEach(file => {
                    if(file) {
                        if(/\.(jpe?g|png|gif)$/i.test(file.name)) {
                            reader.readAsDataURL(file);
                        }
                    }
                })
            },
        }
    }
</script>

<style >

</style>
